@echo off
setlocal
set "desktop_path=%USERPROFILE%\Desktop"

:menu
cls
echo.
echo ==============================
echo  Scegli un'opzione:
echo ==============================
echo 1. Esporta profili Wi-Fi
echo 2. Importa profili Wi-Fi
echo 3. Esci
echo ==============================
set /p choice="Inserisci la tua scelta (1-3): "

if '%choice%'=='1' goto check_wlansvc
if '%choice%'=='2' goto check_wlansvc
if '%choice%'=='3' goto end

:check_wlansvc
echo Controllo del servizio WLAN AutoConfig...
sc query wlansvc | findstr /I /C:"RUNNING"
if not %errorlevel%==0 (
    echo Avvio del servizio WLAN AutoConfig...
    net start wlansvc
    if not %errorlevel%==0 (
        echo Errore nell'avvio del servizio WLAN AutoConfig. Assicurarsi di avere i permessi di amministratore.
        pause
        goto menu
    )
)
if '%choice%'=='1' goto export
if '%choice%'=='2' goto import

:export
echo Esportazione dei profili Wi-Fi...
netsh wlan show profiles
pause
netsh wlan export profile key=clear folder="%desktop_path%"
echo Profili Wi-Fi esportati con successo sul desktop.
pause
goto menu

:import
echo Importazione dei profili Wi-Fi...
set /p filepath="Inserisci il percorso del file di profilo Wi-Fi da importare: "
netsh wlan add profile filename="%filepath%"
echo Profilo Wi-Fi importato con successo.
pause
goto menu

:end
echo Uscita dal programma.
pause
exit
